Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/sette.sh
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/sette.sh	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/sette.sh	(revision 4147)
@@ -685,6 +687,6 @@
     ## ORCA2_LIM with Agulhas AGRIF zoom in MPI
     export TEST_NAME="SHORT"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2AGUL_1_2 -r ORCA2_LIM -j 8 add_key "key_mpp_mpi key_mpp_rep key_agrif" del_key "key_zdftmx" del_key ${KEY_XIOS}
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_1_2 -r ORCA2_LIM -j 8 add_key "key_mpp_mpi key_mpp_rep key_agrif" del_key "key_zdftmx" del_key ${KEY_XIOS}
     cd ${SETTE_DIR}
     . param.cfg
@@ -695,15 +697,15 @@
     \rm ${JOB_FILE}
     cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 75
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 1
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 2
-    set_namelist 1_namelist nn_it000 1
-    set_namelist 1_namelist nn_itend 150
-    set_namelist 1_namelist ln_ctl .false.
-    set_namelist 1_namelist ln_clobber .true.
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 75
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 1
+    set_namelist namelist_cfg jpnj 2
+    set_namelist namelist_cfg jpnij 2
+    set_namelist 1_namelist_cfg nn_it000 1
+    set_namelist 1_namelist_cfg nn_itend 150
+    set_namelist 1_namelist_cfg ln_ctl .false.
+    set_namelist 1_namelist_cfg ln_clobber .true.
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_LIM_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -712,3 +714,98 @@
 fi
 
+# TESTS FOR ORCA2_SAS_LIM CONFIGURATION
+if [ ${config} -eq 10 ] ;  then
+    ## Restartability tests for SAS
+    export TEST_NAME="LONG"
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n SAS_LONG -r ORCA2_SAS_LIM -j 8 add_key " " del_key ${KEY_XIOS}
+    cd ${SETTE_DIR}
+    . param.cfg
+    . all_functions.sh
+    . prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    \rm $JOB_FILE
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"SAS\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 100
+    set_namelist namelist_cfg nn_stock 50
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 32
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_SAS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+
+    cd ${SETTE_DIR}
+    export TEST_NAME="SHORT"
+    . prepare_exe_dir.sh
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"SAS\"
+    set_namelist namelist_cfg nn_it000 51
+    set_namelist namelist_cfg nn_itend 100
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_cfg nn_rstctl 2
+    set_namelist namelist_cfg cn_ocerst_in \"SAS_00000050_restart\"
+    for (( i=1; i<=$NPROC; i++)) ; do
+        L_NPROC=$(( $i - 1 ))
+        L_NPROC=`printf "%04d\n" ${L_NPROC}`
+        ln -sf ../LONG/SAS_00000050_restart_${L_NPROC}.nc .
+    done
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_SAS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+fi
+
+if [ ${config} -eq 11 ] ;  then
+## Reproducibility tests for ORCA2_SAS_LIM
+    export TEST_NAME="REPRO_8_4"
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n SAS_32 -r ORCA2_SAS_LIM -j 8 add_key " " del_key ${KEY_XIOS}
+    cd ${SETTE_DIR}
+    . param.cfg
+    . all_functions.sh
+    . prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    \rm ${JOB_FILE}
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"SAS\"
+    set_namelist namelist_cfg nn_it000 51
+    set_namelist namelist_cfg nn_itend 100
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 32
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_SAS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+    cd ${SETTE_DIR}
+    export TEST_NAME="REPRO_4_8"
+    . prepare_exe_dir.sh
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"SAS\"
+    set_namelist namelist_cfg nn_it000 51
+    set_namelist namelist_cfg nn_itend 100
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_SAS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+fi
+
 done
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/sette_beginner.sh
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/sette_beginner.sh	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/sette_beginner.sh	(revision 4147)
@@ -38,8 +38,8 @@
 #
 # Compiler among those in NEMOGCM/ARCH
-COMPILER=gfortran_osx
+COMPILER=macport_osx
 export BATCH_COMMAND_PAR="llsubmit"
 export BATCH_COMMAND_SEQ=$BATCH_COMMAND_PAR
-export INTERACT_FLAG="no"
+export INTERACT_FLAG="yes"
 export MPIRUN_FLAG="yes"
 
@@ -54,5 +54,7 @@
 # Copy job_batch_COMPILER file for specific compiler into job_batch_template
 cd ${SETTE_DIR}
-cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
+##if [ ${INTERACT_FLAG} == no ] ;  then
+    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
+##fi 
 
 # Run for GYRE CONFIG
@@ -60,6 +62,6 @@
 # compile GYRE configuration with gfortran_osx compiler run with 4 proc : 
 export TEST_NAME="SHORT_TEST"
-cd ${SETTE_DIR}
-. ../CONFIG/makenemo -m ${CMP_NAM} -n GYRE_SHORT -r GYRE -j 10 add_key "key_mpp_mpi"
+cd ${CONFIG_DIR}
+. ./makenemo -m ${CMP_NAM} -n GYRE_SHORT -r GYRE -j 10 add_key "key_mpp_mpi key_nosignedzero"
 cd ${SETTE_DIR}
 . param.cfg 
@@ -73,11 +75,11 @@
 # setting namelist parameters
 # experience name
-set_namelist namelist cn_exp \"GYRE_SHORT\"
+set_namelist namelist_cfg cn_exp \"GYRE_SHORT\"
 # first time step
-set_namelist namelist nn_it000 1
+set_namelist namelist_cfg nn_it000 1
 # last time step
-set_namelist namelist nn_itend 120
+set_namelist namelist_cfg nn_itend 120
 # frequency of creation of a restart file
-set_namelist namelist nn_stock 60
+set_namelist namelist_cfg nn_stock 60
 
 cd ${SETTE_DIR}
@@ -85,3 +87,3 @@
 # run job, with 4 processors, test named SHORT (= 60 time steps)
 cd ${SETTE_DIR}   
-. ./fcm_job.sh $NRPOC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+. ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
